<?php
/* The Template for displaying author archive page.
 *
 * 
 * @subpackage wordplus
 * @since wordplus 0.1.0
 */

get_header(); ?>

	<div class="primary">
		
		<?php if ( get_the_author_meta( 'description' ) ) : ?>
			<?php get_template_part( 'author-info' ); ?>
		<?php endif; ?>
		
		<header class="archive-header">
				<h1 class="archive-title"><?php printf( __( ' All posts by %s', 'wordplus' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) .'" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?></h1>
		</header><!-- .archive-header -->
		
		<div class="special-search-form"><?php wordplus_search_form(array('echo'=>1,'author_show'=>1,'label_show'=>1)); ?></div>	
		
		<div id="temp-primary" class="temp-primary">
			<?php if ( have_posts() ) : ?>
				<?php the_post();?>
				<?php rewind_posts(); ?>
				
				<?php /* The loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'content', get_post_format() ); ?>
				<?php endwhile; ?>

			<?php else : ?>
				<?php get_template_part( 'content', 'none' ); ?>
			<?php endif; ?>
		</div><!-- .temp-primary -->
		
		<div class="content-place"></div>

		
				<nav class="pagination">
					<?php wordplus_pagination(); ?>
				</nav>
		
		
	</div><!-- .primary -->
	
	

<?php get_sidebar(); ?>
<?php get_footer(); ?>