
<?php
/**
 * Template Name: Search Page
 *
 * 
 * @subpackage wordplus
 * @since wordplus 0.1.0
 */


get_header(); ?>
	
	<div class="primary">
			<header class="page-header">
				<ul class="post-header-list">
					<li><h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'wordplus' ), get_search_query() ); ?></h1></li>
				</ul><!--.post-header-list-->
			</header><!--.page-header-->
			
			<div class="special-search-form">
				<?php wordplus_search_form(array('echo'=>1,
											'archive_show'=>1,
											'cat_show'=>1,
											'tag_show'=>1,
											'author_show'=>1,
											'label_show'=>1,
											'advance_show'=>0)); ?>
			</div><!--.special-search-form-->
			
			<div class="temp-primary" id="tempprimary">
				<?php if ( have_posts() ) : ?>
					<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content', get_post_format() ); ?>
				<?php endwhile; ?>

				<?php else : ?>
					<?php get_template_part( 'content', 'none' ); ?>
				<?php endif; ?>
			</div>
			
			<div class="content-place"></div>
			
			
				<nav class="pagination">
					<?php wordplus_pagination(); ?>
				</nav>
			
	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>